void glSetup() {
  gl = ((PGraphicsOpenGL) g).beginGL(); 
  glu = new GLU();
  gl.glShadeModel ( GL.GL_SMOOTH );
  gl.glClearColor (1.0,1.0,1.0,1.0); 
  gl.glEnable(GL.GL_LIGHTING);
  //gl.glEnable(GL.GL_LIGHT0);
  //glu.gluPerspective(50.0, 1.0, 5.0, 1500.0); //50
  gl.glHint(GL.GL_PERSPECTIVE_CORRECTION_HINT, GL.GL_NICEST);  
  ((PGraphicsOpenGL) g).endGL(); 
}

void glStart() {
  gl = ((PGraphicsOpenGL) g).beginGL(); 

  gl.glClear (GL.GL_COLOR_BUFFER_BIT | GL.GL_DEPTH_BUFFER_BIT);
 // gl.glColor3f(1.0,1.0,1.0);
  
  //gl.glMatrixMode(GL.GL_PROJECTION);  
  //gl.glLoadIdentity();

   //glu.gluLookAt(150,150,150,   0,0,0,   0,0,1);
  //glu.gluLookAt(0,0,camDist,   0,0,0,   0,1,0);

  //gl.glMatrixMode(GL.GL_MODELVIEW);
  //gl.glLoadIdentity();
  // gl.glRotatef(210,0.0,0,1.0);

}

void glSetMaterials() { 
  gl.glEnable(GL.GL_COLOR_MATERIAL);	
  //gl.glColor3f(.6,.6,.6);
  float mat_specular[] = {1,1,1,1.0}; 
  float mat_shininess[] = {20}; 
  float mat_diffuse[] = {.2,.2,.2,1.0}; 
 // gl.glMaterialfv(GL.GL_FRONT_AND_BACK, GL.GL_SPECULAR, mat_specular,0); //specular reflection, defines effect mat has on the reflected light
  //gl.glMaterialfv(GL.GL_FRONT_AND_BACK, GL.GL_SHININESS, mat_shininess,0);  //specular exponent (shininess), control the size and brightness of the specular reflection
  gl.glMaterialfv(GL.GL_FRONT_AND_BACK, GL.GL_DIFFUSE, mat_diffuse,0);
}

void glSetLights() {
  gl.glEnable ( GL.GL_LIGHTING );  
  float light0_diffuse[] = {.7,.7,.7,1};
  gl.glLightfv(gl.GL_LIGHT0, gl.GL_DIFFUSE,  light0_diffuse,0);
  gl.glEnable ( GL.GL_LIGHT0 );
}

